### 1.2.4 工程组件库
组件编辑器创建好的bfa组件，可以使用工程组件库布置到当前工程项目中。该功能可以查看导入到工程文件中的组件名称、类型、实例数量，并对组件进行管理、创建组件实例，界面如图 1.2.4-1所示，

<center>

 ![](/uploads/202304/.topwrite/assets/image_1660637229136.png)

图1.2.4-1
</center>

工程组件库以树的形式展示导入到工程文件中的组件的层级，树层级分为根父节点、组件节点、组件类型节点，双击组件节点和组件类型节点可以进入组件编辑器编辑组件，以下为各个节点的详解：
- 根父节点：仅有一个，下级节点为组件节点；
- 组件节点：显示当前环境中的组件的名称；
- 组件类型节点：显示该组件下的所有类型，类型后的括号内部数字表示该类型在当前环境的绘图区内的实例个数；
*****
工程组件库点击右键可以对组件进行导入、删除、导出、创建实例、属性表这几种命令，以下为这几种命令的详细说明：

1. 导入：
可以将本地的组件导入到P3D文件中，选择命令会弹出如下图1.2.4-2 的文件选择界面，在文件选择界面中可以选择并导入组件；在导入组件时会进行组件重复导入检测，如果检测到工程组件库中有一个与正在导入的组件名称相同、属性字段也相同（不会检测属性值是否相同）的组件时，会弹出图 1.2.4-3所示的界面进行确认，界面各字段详解如下文

<center>

![](/uploads/202304/.topwrite/assets/image_1660637934060.png)

图1.2.4-2

![](/uploads/202304/.topwrite/assets/image_1660638650534.png)

 图1.2.4-3
 </center>
* 重命名：修改正在导入的组件的名称；
* 覆盖当前组件及其属性：覆盖当前组件的几何，导入完成后的组件的类型取两个组件的并集，用正在导入的组件的属性字段覆盖原组件的属性字段，但是不覆盖属性值；
* 覆盖当前组件及其属性和参数：覆盖当前组件的几何、属性字段和属性值，导入完成后的组件的类型数量取两个组件的并集。

2. 删除：
删除选中的节点及其所有子节点，并会删除该节点下的所有实例；
3. 导出：
将选中的节点导出为.bfa文件到本地；
4. 创建实例：
仅在类型节点有该选项，可以布置该类型的实例；
5. 属性表：
跳转到该类型的类型属性表，类型属性表内操作同【组件编辑器】内的【属性定义】功能，该功能详见《4.6.1组件编辑器》；