## 新增功能
### 1、拉伸体
新增拉伸体工具。在工程场景中，使用该功能，在截面环境中绘制拉伸体截面后，外部环境中即生成相应的拉伸体块。拉伸体块支持鼠标拖拽夹点进行二次编辑，也可通过属性栏修改相关属性。
### 2、测量角度
新增测量角度工具。在工程场景中，使用该功能，可测量任意两条相交线段间的夹角及弧度。
### 3、局部放大
新增局部放大工具。在工程场景中，使用该功能，可将框选的任意局部区域放大显示。
### 4、专业模块功能
新增建筑、结构、机电专业建模工具。在工程场景中，将视图浏览器中的项目树节点切换到专业楼层下后，单击该专业菜单，即可激活菜单，进行专业建模。
### 5.属性定义
新增组件的属性定义功能。在工程环境或者组件编辑环境中，可以管理或者编辑组件的类型、实例属性。
### 6、导入Pmodel-Revit
新增导入Pmodel-Revit。对（*.Rvt.pmodel）格式文件进行导入，通过数据处理将原模型转换成BIMBase中的专业模型。
### 7、导入Pmodel-Dgn
新增导入PModel-Dgn。对（*.Dgn.pmodel）格式文件进行导入，通过数据处理将原模型转换成BIMBase中的专业模型。
### 8、导出Pmodel-Revit
新增Pmodel-Revit。将模型导出成（*.Rvt.pmodel）格式文件。
### 9、导出Pmodel-DGN
新增Pmodel-DGN。将模型导出成（*.Dgn.pmodel）格式文件。
### 10、底图参照
新增底图参照功能。可将CAD底图参照到当前工程场景中，并对参照底图进行参照管理编辑。
## 优化功能
### 1、视图浏览器
为满足多场景建模需求及提高建模效率，对视图浏览器中的项目树结构进行优化，优化后的视图浏览器项目树节点下新增各专业项目节点，进入该节点可使用专业模块菜单下功能进行建模，原工程场景下新建功能也做相应优化，优化后的新建节点与场景关系更加清晰。
### 2、旋转
旋转工具进行了优化，模型视口三维状态下，可以通过距离角度输入中的角度参数进行指定角度旋转，也可以通过极坐标参数组和直角坐标参数组的坐标输入实现指定旋转目标点位置的旋转。
### 3、镜像
镜像工具进行了优化，能够准确的实现模型视口三维状态下的镜像，包括默认WCS坐标系XOY面上的镜像和新建倾斜工作面的镜像。
### 4、立方体
立方体工具进行了优化，增加了临时坐标系的概念，用户绘制或者夹点编辑过程中可以调整临时坐标系的状态，并且根据当前临时坐标系的状态输入对应的极坐标参数或直角坐标参数值确定点的位置。
### 5、剖切成图
剖切成图中生成图纸的交互优化。原交互方案：双击剖切面生成图纸；优化方案：【剖切视图】面板上增加按钮“生成图纸”，点击按钮则可生成当前剖切的图纸。
### 6.工程组件库
工程组件库功能进行了优化，将工程组件库常驻在软件界面的侧边栏方便随时使用，并且以更加简洁、明了的树状结构显示工程中的组件。
### 7.圆弧
圆弧工具进行了优化，添加了中心点画弧和三点画弧的方式，能满足不同用户的圆弧创建需求。
### 8.材质库
材质库工具进行了优化，对材质库界面进行重新设计，界面分为两大板块：材质选择与材质编辑两大板块，它能更好的被用户接受并使用，同时，对材质贴图进行了重新整理与分类，且为每个材质添加了贴图属性。
### 9、模型参照（视图参照）
优化模型参照功能。功能界面进行了优化升级；新增插入点、透明度等参照的参数设置；新增对链接模型的参照。
### 10、链接管理
优化链接参照流程；优化链接参照模块，链接外部文件的模型不会第一时间导入到当前文档，通过选择链接外部文件的方式，可选择参照模型，设置到目标模型节点进行合模、参照。

