## 5.1工作平面
### 5.1.1 创建工作平面

在任何视图下，如果没有捕捉到图素，点的坐标是无法确定的。在顶视图下，无法确定点的z坐标。在正视图下，无法确定点的y坐标。在侧视图下，无法确定点x的坐标。在透视视图下，点的x、y、z坐标均无法确定。但如果有一个面，使点被约束在这个面上，点的坐标就可以确定了，这个约束面为工作平面。目前创建工作平面的方式有三种，包含创建工作平面、拾取工作平面和参数创建，如图5.1.1-1所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1666852133758.png)

图5.1.1-1
</center>

#### 操作步骤
1. 建工作平面
* 启用创建工作平面功能，命令行提示：选择工作平面原点或Tab输入值；
* 指定原点后，命令行提示：按R或Shift+R切换绘制面，选择下一点或者Tab输入值确定工作平面X轴正方向，如图5.1.1-2所示；

<center>

![](/uploads/pro_import_version/images/m_6be1bffd4bc34ce907eda88235fb47e9_r.png)
图5.1.1-2
</center>

* 指定X轴方向后，命令行提示：选择下一点或者Tab输入值，确定工作平面Y轴正方向，如图5.1.1-3所示；

<center>

![](/uploads/pro_import_version/images/m_6b161f3e478cae2152aed166f267d917_r.png)
图5.1.1-3
</center>

* 指定Y轴方向后，即生成工作平面，如图5.1.1-4所示。

<center>

![](/uploads/pro_import_version/images/m_5e061375a0ce3086e0dd8818790ceb0c_r.png)
图5.1.1-4
</center>

2. 拾取工作平面
* 启用拾取工作平面功能，命令行提示：请选择面，如图5.1.1-5所示；

<center>

![](/uploads/202304/.topwrite/assets/image_1666855002661.png)
图5.1.1-5
</center>

* 移动鼠标拾取一个平面来确定并创建一个工作平面，如图5.1.1-6所示；

<center>

![](/uploads/202304/.topwrite/assets/image_1673251853400.png)
图5.1.1-6
</center>

3. 参数创建
* 启用参数创建功能，弹出新建工作平面对话框，如图5.1.1-7所示；

<center>

![](/uploads/202304/.topwrite/assets/image_1666855185301.png)
图5.1.1-7
</center>

* 根据需要输入平面名称和平面参数，点击确定按钮，即可创建一个工作平面，如图5.1.1-8所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1673251905363.png)
图5.1.1-8
</center>

#### 说明
当前建模窗口，工作平面存在且唯一。