## 5.3 修改
### 5.3 .1 移动
“移动”工具可以将选定图元移动到当前视图指定位置，也可使用追踪器坐标参数输入实现精确移动。
*****

#### 操作步骤
1. 选择要移动的图元：
（1）先选中图元，然后点击“移动”按钮激活“移动”命令；
（2）或先点击“移动”按钮激活“移动”命令，再选中图元，右键确认选择内容。
2. 确定移动的基点。
3. 确定移动的目标点，完成移动退出工具。

#### 抬头栏设置说明
激活移动功能后，弹出抬头工具栏，如下图5.3.1-1所示;

<center>

![](/uploads/pro_import_version/images/m_294831e22a95b41cf39adea00663547f_r.png)
图5.3.1-1
</center>

- 勾选【约束在临时坐标系平面】：指定移动目标点时如果鼠标捕捉或者追踪器坐标输入确定的点不在当前移动基点所在的临时坐标系XOY面内，实际移动目标点的结果会被投影约束在当前移动基点所在的临时坐标系XOY面内。
- 不勾选【约束在临时坐标系平面】：实际移动目标点结果会直接放置在鼠标捕捉或者追踪器坐标输入确定的任意位置上，不会进行投影约束。

#### 交互过程中确定点的方法说明
在确定移动基点和移动目标点的时候确定点的方式有两种
1.通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示坐标参数提示。
2.通过tab激活追踪器面板输入的方式，输入对应的坐标值参数确定目标点：
（1）参数输入过程中视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)
（2）XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。

#### 交互过程中确定点时旋转临时坐标系生效说明
- 指定移动基点的时候旋转临时坐标系不生效；
- 指定移动目标点的时候可以旋转临时坐标系生效（此时确定移动的基准面）；
- 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)

*****
移动操作示意图如图5.3.1-2所示：

<center>

![](/uploads/pro_import_version/images/m_6cd6feb4baed7a2940df6185292e0dd0_r.png)

图5.3.1-2