### 5.3.2 复制
“复制”工具可以将选定图元复制并放置到当前视图指定位置，也可使用追踪器坐标参数输入实现精确复制。
*****

#### 操作步骤
1. 选择要复制的图元：
（1）先选中图元，然后点击“复制”按钮激活“复制”命令；
（2）或先点击“复制”按钮激活“复制”命令，再选中图元，右键确认选择内容。

2. 抬头栏中可以设置复制的方式和约束条件；
3. 确定复制的基点。
4. 确定复制的目标点，完成复制退出工具。

#### 抬头栏设置说明
激活复制功能后，抬头栏界面，如下图5.3.2-1所示：
<center>

![](/uploads/pro_import_version/images/m_b48e065cd0afec67ed548c6052fe5df2_r.png)
5.3.2-1
</center>
1. 勾选连续复制
（1）可以连续操作复制多个副本，同时可进行基点方式选择；
- 上一点为基点：连续复制过程中计算复制距离的基点会依次变化，以上一步交互确定的点（上一个复制目标点）做为下一步复制的基点。如图5.3.2-2所示：

<center>

![](/uploads/pro_import_version/images/m_6031c8dc5f2de3595bf26dd14e938460_r.png)

</center>

<center>5.3.2-2</center>


- 重复相同基点：连续复制过程中计算复制距离的基点永远保持为第一步指定的复制基点。如图5.3.2-3所示：

<center>

![](/uploads/pro_import_version/images/m_9ffe2a212dd33b196b332a305cf4eb4f_r.png)

</center>

<center>5.3.2-3</center>

2. 不勾选连续复制
此时【基点选择】下拉列表灰显不可选，复制一个副本即可结束命令。

3. 约束在临时坐标系平面
- 勾选【约束在临时坐标系平面】：指定复制目标点时如果鼠标捕捉或者追踪器坐标输入确定的点不在当前复制基点所在的临时坐标系XOY面内，实际复制目标点的结果会被投影约束在当前复制基点所在的临时坐标系XOY面内。如图5.3.2-4所示：

<center>

![](/uploads/pro_import_version/images/m_63e64c2ea8143dc8e7e11ee640eb70da_r.png)

</center>

<center>5.3.2-4</center>

- 不勾选【约束在临时坐标系平面】：实际复制目标点结果会直接放置在鼠标捕捉或者追踪器坐标输入确定的任意位置上，不会进行投影约束。如图5.3.2-5所示：

<center>

![](/uploads/pro_import_version/images/m_3f0f37e68f3558daee4da0c6e1ca7562_r.png)

</center>


<center>5.3.2-5</center>

#### 交互过程中确定点的方法说明
在确定复制基点和复制目标点的时候确定点的方式有两种
1. 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示坐标参数提示。
2. 通过tab激活追踪器面板输入的方式，输入对应的坐标值参数确定目标点：
（1）参数输入过程中视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)
（2）XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。

#### 交互过程中确定点时旋转临时坐标系生效说明
- 指定复制基点的时候旋转临时坐标系不生效；
- 指定复制目标点的时候可以旋转临时坐标系生效（此时确定复制的基准面）；
- 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)

*****
复制操作示意图如图5.3.2-6所示：

<center>

![](/uploads/pro_import_version/images/m_a5422010218dc348e4e35e0bee12ca5e_r.png)

</center>


<center>5.3.2-6</center>