### 5.3.4 镜像
“镜像”工具可以按照一定的规则通过指定两个点来确定镜像轴和空间内的镜像平面，将选定图元进行镜像。
*****

#### 操作步骤
1. 选择要镜像的图元：
（1）先选中图元，然后点击“镜像”按钮激活“镜像”命令；
（2）或先点击“镜像”按钮激活“镜像”命令，再选中图元，右键确认选择内容。
2. 确定镜像轴的第一点。
3. 确定镜像的第二点，也可通过快捷键【R】或【shift+R】改变镜像基准面。
4. 完成镜像退出工具。

#### 镜像面的确定规则
镜像面为过镜像轴且垂直于当前临时坐标系XOY面的平面。如图5.3.4-1

<center>

![](/uploads/pro_import_version/images/m_9db6ae804dbac310739edf3d51b9a1d9_r.png)

</center>

<center>5.3.4-1</center>

#### 交互过程中确定点的方法说明
在确定镜像轴第一点和镜像轴第二点的时候确定点的方式有两种
1.通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示坐标参数提示。
2.通过tab激活追踪器面板输入的方式，输入对应的坐标值参数确定目标点：
（1）参数输入过程中视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)
（2）XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。

#### 交互过程中确定点时旋转临时坐标系生效说明
- 指定镜像轴第一点的时候旋转临时坐标系不生效；
- 指定镜像轴第二点的时候可以旋转临时坐标系生效（此时确定镜像的基准面，并计算得到镜像面）；
- 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)