## 8.3 场地平整
### 8.3.1 场地平整
可在生成好的TIN地形上，选取某一平整范围做带护坡或不带护坡的场地平整。功能按钮位置，如图 8.3.1-1所示；

<center>

![](/uploads/202304/.topwrite/assets/image_1662019273807.png)

图 8.3.1-1
</center>

*****

#### 操作步骤
1. 在场地建模菜单栏下，点击“场地平整”功能按钮，激活命令，按照命令行提示，选择TIN地形。如图 8.3.1-2所示；

<center>

![](/uploads/202304/images/screenshot_1648620998771.png)

图 8.3.1-2
</center>

2. 选择TIN地形后，地形自动隐藏，根据命令行提示，左键单击选择平整面范围，此时会弹出场地平整的参数设置对话框。如图 8.3.1-3所示；

<center>

![](/uploads/202304/images/screenshot_1648621025682.png) ![](/uploads/202304/images/screenshot_1648621035359.png) ![](/uploads/202304/images/screenshot_1648621040778.png)

图 8.3.1-3
</center>

3. 设置场地平整高度。
可手动输入平整高度，也可通过在视图中点选一个高程点的方式来设置平整高度。“图中选取一点”按钮功能流程如下：
a.在参数设置对话框中，左键单击“图中选取一点”按钮。如图 8.3.1-4所示；

<center>

![](/uploads/202304/images/screenshot_1648621109874.png)

图 8.3.1-4
</center>

b.点击“图中选取一点”按钮后，参数设置对话框关闭，左键选择任意一个高程点，参数对话框重新打开，并且平整高度输入框中，记录已选择的高程点的高程值。如图8.3.1-5所示；

<center>

![](/uploads/202304/images/screenshot_1648621159090.png) ![](/uploads/202304/images/screenshot_1648621164808.png) ![](/uploads/202304/images/screenshot_1648621173697.png)

图 8.3.1-5
</center>

4. 择场地平整的类型
**4.1带护坡**
对平整场地的护坡值参数进行设置，场地平整后的地形会按照参数设置，生成带护坡的场地。护坡值的设置分为“各段使用等坡值”和“各段不使用等坡值”两种。
4.1.1各段使用等坡值
平整范围的各段边的护坡分为上护坡值和下护坡值，各段的上或下护坡值一致，可统一设置。操作步骤如下：
a. 勾选“各段使用等坡值”，激活相应的参数设置输入框。可通过单击护坡值输入框，手动输入护坡值，也可单击输入框旁边的三角下拉框，选择已有的护坡值。如图 8.3.1-6所示；

<center>

![](/uploads/202304/images/screenshot_1648621333048.png)

图 8.3.1-6
</center>

b. 护坡值设置完毕，单击“确定”，完成场地平整。如图 8.3.1-7所示；

<center>

![](/uploads/202304/images/screenshot_1648621369326.png)

图 8.3.1-7
</center>

4.1.2各段不使用等坡值
平整范围的各段边的上或下护坡值可不一致，每段的上下护坡值可单独设置。操作步骤如下：
a.勾选“各段不使用等坡值”，激活相应的参数设置输入框。通过单击护坡值输入框，手动输入护坡值。如图 8.3.1-8所示；

<center>

![](/uploads/202304/images/screenshot_1648621430567.png)

图 8.3.1-8
</center>

b.护坡值设置完毕，单击“确定”，完成场地平整。如图 8.3.1-9所示；

<center>

![](/uploads/202304/images/screenshot_1648621452481.png)

图 8.3.1-9
</center>

------------

**4.2不带护坡**
按照平整高程直接生成不带护坡的场地。

a.设置完平整高度后，勾选下方的“不带护坡”单选按钮，点击“确定”，完成场地平整。如图 8.3.1-10所示；

<center>

![](/uploads/202304/images/screenshot_1648621522936.png) ![](/uploads/202304/images/screenshot_1648621529455.png) ![](/uploads/202304/images/screenshot_1648621536555.png)

图 8.3.1-10