## 6.5 资源
*****
### 6.5.1参数化组件库

为了方便用户对参数化组件进行管理，BIMBase建模软件提供了参数化组件库功能。该库仅影响本地路径下保存的文件，不影响工程环境的文件。
*****
#### 操作说明
1. 工具激活：
点击工具菜单，激活工具，弹出【参数化组件库管理】操作界面，如图6.5.1-1。在参数化组件库管理中，可以存放多个组件库。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677368869.png)

图6.5.1-1
</center>

1.1. 组件库搜索

在上方搜索栏中，可以对参数化组件库进行搜索，如图6.5.1-2。搜索的范围包括【库名称】、【关键词】和【描述】中的文字。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677413291.png)

图6.5.1-2
</center>

1.2 组件库新建

在搜索栏右侧，有【+】按钮，可以点击【+】按钮，新增一个组件库；点击【+】后，会弹出如图 6.5.1-3所示的对话框，需要手动填写【库名称】，设置【映射路径】。其中【关键词】和【描述】可以不用填写。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677472881.png)

图6.5.1-3
</center>

在【新建参数化组件库】界面中，输入【库名称】；然后点击【映射路径】右侧的三个句号，然后选择想要添加为库的文件夹，点击确定，如图6.5.1-4。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677639526.png)

图6.5.1-4
</center>

1.3. 组件库编辑—右键功能

在现有组件库上点击鼠标右键，可以看到如图6.5.1-5所示的右键菜单。包括【编辑】、【删除】、【移到最前面】、【打开本地文件夹】。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677670166.png)

图6.5.1-5
</center>

* 编辑：点击编辑后，会出现如图 6.5.1-6所示的对话框

<center>

![](/uploads/202304/.topwrite/assets/image_1666677698341.png)

图6.5.1-6
</center>

* 删除：点击【删除】后，该组件库会被清除出【参数化组件库管理】，但是不会删除本地文件。
* 移到最前面：如果当前组件库不在第一行第一列，选择【移到最前面】后，会将其移动到第一行第一列的位置。
* 打开本地文件夹：选择【打开本地文件夹】后，可以打开当前组件库的本地位置。
*****
2. 组件库

点击参数化组件库管理中的【建筑】，即可打开【建筑】这个库，界面如图6.5.1-7所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677757041.png)

图6.5.1-7
</center>

左侧是参数化组件库的分类树，库与映射的本地文件夹双向联动，对本地文件的修改会反应在库中，对库中的文件进行修改也同时会修改本地的文件。
*****
2.1 组件库右键菜单
对分类树的根节点点击右键会弹出如图 6.5.1-8的编辑菜单。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677781400.png)

图6.5.1-8
</center>

对分类树的非根节点点击右键会弹出图6.5.1-9的编辑菜单。

<center>

![](/uploads/202304/.topwrite/assets/image_1666677798745.png)

图6.5.1-9
</center>

* 导入：选择本地的构件导入到当前节点
* 刷新：将本地文件夹的改动刷新到参数化组件库中
* 复制：复制选中节点及其下的所有内容
* 粘贴：将被复制的节点及其下所有内容黏贴成被选中的节点的子节点
* 删除：可以删除某一个节点，如果该节点下有子节点或者参数化组件，则同时也会删除子节点或者参数化组件

* 修改文件名称：可以对节点进行重命名操作


在参数化组件库右侧是参数化组件预览区域，可以看到当前选中的节点及其子节点下的所有.bfa文件，在预览区域上方是搜索框，可以在当前预览区显示的构件范围内进行搜索。

2.2 组件预览及布置

* 预览
参数化组件预览效果如图6.5.1-10，其中上方是缩略图预览，中间是构件名称显示区域，下方是布置按钮

<center>

![](/uploads/202304/.topwrite/assets/image_1666677816694.png)

图 6.5.1-10
</center>

* 布置
点击后将选中的.bfa文件布置到绘图区，构件目前支持单点布置、旋转布置、两点布置、多点布置，构件所的布置方式由建模人员在建模时进行设置；布置流程实际上为两个步骤，导入和创建实例，如果重复点击布置按钮，则会触发《1.2.4工程组件库》中所述的重复导入步骤。