### 6.5.2 材质库
“材质库”功能可实现对材质的新建、删除、编辑，并可通过材质库功能对模型赋予材质。
*****

#### 新建材质
点击“材质库”，弹出材质库对话框，如图6.5.2-1所示。材质库界面分为材质选择和材质编辑两部分，左侧为材质选择，包含系统材质和工程材质。

<center>

![](/uploads/202304/.topwrite/assets/image_1660635168348.png)

图6.5.2-1
</center>

* 新建材质：选择工程材质，点击 按钮，弹出增加材质对话框，可对材质进行命名，如图6.5.2-2所示。材质名称不支持为空，所有新创建的材质均会显示在工程材质列表中。

<center>

![](/uploads/202304/.topwrite/assets/image_1660635237465.png)

图 6.5.2-2
</center>

* 搜索功能：可通过搜索工具栏对列表中的材质进行搜索，搜索功能为精确搜索，搜索对象为系统材质中所有实例材质。
* 材质删除：在工程材质中选定材质，点击右键菜单中删除按钮，实现删除材质。如果删除的材质已经被应用，程序会进行弹窗提示，如图6.5.2-3所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1660635305048.png)

图6.5.2-3
</center>

* 拾取材质：选中模型中的材质，点击<拾取材质>按钮，即可获取选中的材质，并将其设置为当前材质。
*****

#### 材质编辑
1. 贴图设置
* 纹理贴图：勾选纹理贴图，即在工程场景中，已附着材质的构件显示贴图纹理。不勾选纹理贴图，即在工程场景中，已附着材质的构件显示颜色材质。
* 贴图预览：点击<选择覆盖>按钮，弹出选择图像文件的对话框，在对话框中选取位图文件，可在材质编辑中预览窗口中显示材质效果。
* 贴图尺寸：分为按尺寸和按比例两种方式。
* 贴图位置：调整贴图偏移距离和旋转角度。
* 贴图映射方式：可设置不同映射方式,默认映射方式为参数几何投影。

2. 常规参数
* 颜色：点击颜色面板，弹出<选择颜色>对话框，如图6.5.2-4所示。可通过鼠标左键点击选取颜色，选取颜色后同步显示RGB值或255色；此外，用户也可在颜色文本框中直接输入RGB值或225色，调色板会同步显示指定的颜色。退出<选择颜色>对话框后，颜色刻度会显示在选择的颜色相应的位置。

<center>

![](/uploads/202304/.topwrite/assets/image_1660635409233.png)

图6.5.2-4
</center>

* 透明度：用鼠标拖动“透明度”滑条，即可设定材质的透明特性。
* 环境光强：用鼠标拖动“环境光强”滑条，即可设定照在模型上的光照强度。
* 高光颜色：设置方法同颜色设置。
* 高光系数：用鼠标拖动“高光系数”滑条，即可设定高光强度。
* 自发光强：用鼠标拖动“自发光强”滑条，即可设定图元自身发光强度。

#### 赋予材质
点击<材质库>，激活命令，在系统材质或工程材质中选择材质，根据需求编辑贴图设置或常规参数，最后在工程场景中选择需要赋予材质的构件，点击应用或确定即可。可重复该操作实现连续赋予材质，如图6.5.2-5。

<center>

![](/uploads/202304/.topwrite/assets/image_1660635498595.png)

图6.5.2-5