### 4.0.1临时坐标系（详解）

<center>

![](/uploads/202304/.topwrite/assets/image_1666338658818.png)
图 4.0.1-1
</center>

#### 临时坐标系的定义
* 概念：
临时坐标系是用户在使用建模或者编辑工具的流程中，用来辅助空间点定位的XYZ坐标系，是定义相对坐标的参照坐标系，通常只显示XY轴，Z轴不显示，但是程序会根据右手坐标法则计算记录Z轴方向。

* 临时坐标系的原点：
建模或者编辑工具定义的参照点的位置（确定目标点所依据的参照点）。

* 临时坐标系的方向：
临时坐标系的初始方向状态会根据各个工具的特征有不同的预设，用户可以通过快捷键【R】或【shift+R】切换临时坐标系的方向，从而改变确定目标点坐标的参照坐标系；
程序会根据不同工具的特征来设置是否允许切换临时坐标系生效。

#### 临时坐标系的切换规则
**切换顺序：**
基于WCS的切换（快捷键【R】）：如图4.0.1-2
* 与WCS的XOY面方向对齐；
* 与WCS的XOZ面方向对齐；
* 与WCS的YOZ面方向对齐；
* 与视坐标平面方向对齐；

<center>

![](/uploads/202304/.topwrite/assets/image_1666333575021.png)
图 4.0.1-2
</center>

基于当前临时坐标系的顺序切换（快捷键【shift+R】）：如图4.0.1-3
* 当前临时坐标系初始状态；
*  绕X轴正方向逆时针旋转90°；
* 绕Y轴正方向逆时针旋转90°；

<center>

![](/uploads/202304/.topwrite/assets/image_1666333654500.png)
图 4.0.1-3
</center>

#### 自定义临时坐标系原点（自定义基点）
软件提供自定义临时坐标系原点的机制，可以在交互确定坐标点的时候灵活的定义临时坐标系原点的位置，以便更好的进行相对坐标位置的精确定位。使用场景如图4.0.1-4

<center>

![](/uploads/pro_import_version/images/m_482510af3a48f4344bfbacada3bba9d1_r.png)

</center>

<center>4.0.1-4</center>

##### 操作步骤
- 鼠标交互过程中点击快捷键O可以启动自定义基点；
- 可通过鼠标点击交互（含捕捉）或者追踪器输入交互确定新的临时坐标系原点；