### 4.0.2交互机制
交互方式分两种：鼠标点击交互方式和追踪器输入交互方式
#### 鼠标点击交互
**概念：**
通过鼠标在视口中点击确定一个点的位置，或者鼠标在视口中捕捉某个点确定一个点的位置叫做鼠标点击交互方式；如图4.0.2-1

<center>

![](/uploads/202304/.topwrite/assets/image_1666338788196.png)
图 4.0.2-1
</center>

**规则说明：**
通过鼠标点击交互方式在视口中确定目标点时，目标点会默认被约束在当前临时坐标系的XOY（Z=0）平面内。
#### 追踪器输入交互
**概念：**
通过追踪器面板中参数输入的方式确定一个点的位置，叫做追踪器输入交互方式；如图4.0.2-2

<center>

![](/uploads/202304/.topwrite/assets/image_1666338826515.png)
图 4.0.2-2
</center>

**规则说明：**
（1）追踪器输入交互方式提供三种参数输入的方式：
（程序会根据每个图元工具的特征提供其中的一组或三组参数输入）

* 几何（业务）参数输入
* 极坐标参数输入
* 直角坐标参数输入

（2）直角坐标参数输入时可以通过小按钮选择切换相对坐标输入或绝对坐标输入：
* 相对坐标输入的参照坐标系为当前临时坐标系；
* 绝对坐标输入的参照坐标系为WCS坐标系；

（3）追踪器输入交互状态下，视口中对应的模型构件位置会显示对应输入的参数标注预览：
* 极坐标参数标注预览的说明如图 4.0.2-3 和图 4.0.2-4

<center>

![](/uploads/202304/.topwrite/assets/image_1666337188846.png)
图 4.0.2-3 极坐标系高度为0时的坐标标注预览

![](/uploads/202304/.topwrite/assets/image_1666337334090.png)
图 4.0.2-4 极坐标系高度不为0时的坐标标注预览
</center>


* 直角坐标参数标注预览的说明如图:

<center>

![](/uploads/202304/.topwrite/assets/image_1666337044851.png)
图 4.0.2-5 直角坐标系Z值为0时的坐标标注预览

![](/uploads/202304/.topwrite/assets/image_1666337497220.png)
图 4.0.2-6 直角坐标系Z值不为0时的坐标标注预览
</center>