### 4.1.4任意多边形线
任意多边形线工具可以绘制由直线段组成的首尾闭合的多边形线图元，且必须是共面的二维图元。区别于正多边形线，任意多边形线不要求边长相等。
*****
#### 绘制
**1. 绘制流程**
通过依次确定共面的多个点的方式可以完成任意多边形线 的绘制：如图4.1.4-1

<center>

![](/uploads/202304/.topwrite/assets/image_1666918718726.png)
图4.1.4-1
</center>

**2. 绘制点的方法说明**
在每一点绘制的时候的确定点的方式有两种：

* 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示几何参数或坐标参数提示。如图4.1.4-2

<center>

![](/uploads/202304/.topwrite/assets/image_1666918906872.png)
图4.1.4-2
</center>

* 通过tab进入追踪器面板输入对应的参数确定目标点：如图4.1.4-3

<center>

![](/uploads/202304/.topwrite/assets/image_1666919073009.png)
图4.1.4-3
</center>

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)。

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图4.1.4-4和图4.1.4-5

<center>

![](/uploads/202304/.topwrite/assets/image_1666919299018.png)
图4.1.4-4相对坐标输入

![](/uploads/202304/.topwrite/assets/image_1666919365504.png)
图4.1.4-5绝对坐标输入
</center>


**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。
* 仅在任意多边形线第二点绘制时临时坐标系旋转生效，其他点绘制时旋转临时坐标系均不生效。

#### 夹点编辑
**1. 选中显示**
选中绘制完成的任意多边形线会显示对应的可编辑的夹点，实体坐标系：如图4.1.4-6

<center>

![](/uploads/202304/.topwrite/assets/image_1666919521206.png)
图4.1.4-6
</center>

**2. 各个夹点的行为特征介绍**
* 顶点：拖拽夹点或者追踪器面板输入坐标参数可以将当前夹点拖拽变形到目标点位置。
* 实体坐标系原点：行为特征同顶点。

**3. 夹点编辑过程中旋转临时坐标系生效说明**
拖拽夹点时旋转临时坐标系不生效。

#### 属性面板显示
* 属性面板中显示任意多边形线的定位坐标。如图4.1.4-7
* 定位坐标表示的是任意多边形线实体坐标系原点在WCS坐标系下的坐标定位。

<center>

![](/uploads/202304/.topwrite/assets/image_1666919752690.png)
图4.1.4-7
</center>