### 4.1.6圆弧
圆弧工具可以绘制非闭合的圆弧线段。
*****
#### 绘制
**1. 绘制流程**
激活圆弧工具后抬头栏可以选择绘制圆弧的方式：图4.1.6-1

<center>

![](/uploads/pro_import_version/images/m_84b06e2bbf07ea14b6448946a7c257b9_r.png)
图4.1.6-1
</center>

（1）圆心-半径画弧流程：
通过依次确定圆心点、起点、终点的的方式可以完成圆弧绘制：如图4.1.6-2

<center>

![](/uploads/202304/.topwrite/assets/image_1666925369966.png)
图4.1.6-2
</center>
（2）起点-端点-中点画弧流程：
通过依次确定起点端点、终点端点、圆弧上第三点的的方式可以完成圆弧绘制：如图4.1.6-3

<center>

![](/uploads/202304/.topwrite/assets/image_1666925676360.png)
图4.1.6-3
</center>

（3）三点画弧流程:
通过依次确定圆弧上三个点的的方式可以完成圆弧绘制：如图4.1.6-4

<center>

![](/uploads/202304/.topwrite/assets/image_1673420792593.png)
图4.1.6-4
</center>

**2. 绘制点的方法说明**
在每一点绘制的时候的确定点的方式有两种：

* 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示几何参数或坐标参数提示。如图4.1.6-4和图4.1.6-5

<center>

![](/uploads/202304/.topwrite/assets/image_1666926455326.png)
图4.1.6-4

![](/uploads/202304/.topwrite/assets/image_1666926424681.png)
图4.1.6-5
</center>

* 通过tab进入追踪器面板输入对应的参数确定目标点：如图4.1.6-6

![](/uploads/202304/.topwrite/assets/image_1666927016339.png)
图4.1.6-6

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)。

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图4.1.6-7和图4.1.6-8

<center>

![](/uploads/202304/.topwrite/assets/image_1666927115612.png)
图4.1.6-7相对坐标输入

![](/uploads/202304/.topwrite/assets/image_1666927198024.png)
图4.1.6-8绝对坐标输入
</center>

**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。
* 仅在圆弧第二点绘制时临时坐标系旋转生效，其他点绘制时旋转临时坐标系均不生效。

#### 夹点编辑
**1. 选中显示**
选中绘制完成的圆弧会显示对应的可编辑的夹点，实体坐标系：如图4.1.6-9

<center>

![](/uploads/202304/.topwrite/assets/image_1666927550987.png)
图4.1.6-9
</center>

**2. 各个夹点的行为特征介绍**
* 起点端点：拖拽夹点或者追踪器面板输入坐标参数可以将当前夹点拖拽变形到目标点位置。
* 终点端点：拖拽夹点或者追踪器面板输入坐标参数可以将当前夹点拖拽变形到目标点位置。
* 中点：拖拽夹点或者追踪器面板输入坐标参数可以将当前夹点拖拽变形到目标点位置。
* 实体坐标系原点：拖拽夹点或者追踪器面板输入坐标参数可以移动圆弧的位置。

**3. 夹点编辑过程中旋转临时坐标系生效说明**
* 拖拽实体坐标系原点时旋转临时坐标系可以生效，坐标参数输入是与临时坐标系相关的。
* 拖拽其他夹点时旋转临时坐标系不生效。

#### 属性面板显示
* 属性面板中显示圆弧的定位坐标。如图4.1.6-10
* 定位坐标表示的是圆弧实体坐标系原点在WCS坐标系下的坐标定位。

<center>

![](/uploads/202304/.topwrite/assets/image_1666927770815.png)
图4.1.6-10
</center>