### 4.3.5 椭圆
椭圆工具可以绘制椭圆平面图元。
*****
#### 绘制
**1. 绘制流程**
通过依次确定三个点依次确定椭圆圆心、半径1、半径2的方式可以完成椭圆的绘制：如图4.3.5-1

<center>

![](/uploads/202304/.topwrite/assets/image_1666935896340.png)
图4.3.5-1
</center>

**2. 绘制点的方法说明**
在每一点绘制的时候的确定点的方式有两种：

* 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示几何参数或坐标参数提示。如图4.3.5-2和图4.3.5-3

<center>

![](/uploads/202304/.topwrite/assets/image_1666937048209.png)
图4.3.5-2

![](/uploads/202304/.topwrite/assets/image_1666935996430.png)
图4.3.5-3
</center>

* 通过tab进入追踪器面板输入对应的参数确定目标点：如图4.3.5-4

<center>

![](/uploads/202304/.topwrite/assets/image_1666936240181.png)
图4.3.5-4
</center>

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)。

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图4.3.5-5和图4.3.5-6

<center>

![](/uploads/202304/.topwrite/assets/image_1666936409650.png)
图4.3.5-5相对坐标输入

![](/uploads/202304/.topwrite/assets/image_1666936511179.png)
图4.3.5-6绝对坐标输入

</center>

**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。
* 仅在椭圆第二点绘制时临时坐标系旋转生效，其他点绘制时旋转临时坐标系均不生效。


#### 夹点编辑
**1. 选中显示**
选中绘制完成的椭圆会显示参数标注提示，对应的可编辑的夹点，实体坐标系：如图4.3.5-7

<center>

![](/uploads/202304/.topwrite/assets/image_1666936691709.png)
图4.3.5-7
</center>

**2. 各个夹点的行为特征介绍**
* 实体坐标系原点：拖拽夹点或者追踪器面板输入坐标参数可以移动椭圆的位置。
* 端点：拖拽夹点或者追踪器面板输入坐标参数可以改变椭圆的半径1或半径2中的某一项。

**3. 夹点编辑过程中旋转临时坐标系生效说明**
* 拖拽实体坐标系原点时旋转临时坐标系可以生效，坐标参数输入是与临时坐标系相关的。
* 拖拽其他夹点时旋转临时坐标系不生效。

#### 属性面板显示
* 属性面板中显示椭圆的定位坐标和对应的几何参数。如图4.3.5-8
* 定位坐标表示的是椭圆实体坐标系原点在WCS坐标系下的坐标定位。

<center>

![](/uploads/202304/.topwrite/assets/image_1666936817139.png)
图4.3.5-8