### 4.4.4 圆柱
圆柱工具可以绘制圆柱实体图元。
*****

#### 绘制
**1. 绘制流程**

通过依次确定三个点的方式可以完成圆柱的绘制，依次确定圆柱底面圆半径，高度：如图4.4.4-1

<center>

![](/uploads/202304/.topwrite/assets/image_1666939480425.png)
图4.4.4-1
</center>

**2. 绘制点的方法说明**

在每一点绘制的时候的确定点的方式有两种：

* 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示几何参数或坐标参数提示。如图4.4.4-2和图4.4.4-3

<center>

![](/uploads/202304/.topwrite/assets/image_1666939515027.png)
图4.4.4-2

![](/uploads/202304/.topwrite/assets/image_1666939539099.png)
图4.4.4-3
</center>

* 通过tab进入追踪器面板输入对应的参数确定目标点：如图4.4.4-4

<center>

![](/uploads/202304/.topwrite/assets/image_1666939654835.png)
图4.4.4-4
</center>

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)。

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图4.4.4-5和图4.4.4-6

<center>

![](/uploads/202304/.topwrite/assets/image_1666939863719.png)
图4.4.4-5相对坐标输入

![](/uploads/202304/.topwrite/assets/image_1666939937803.png)
图4.4.4-6绝对坐标输入

</center>

**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面,旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。


#### 夹点编辑
**1. 选中显示**

选中绘制完成的圆柱会显示对应的可编辑的夹点，实体坐标系：如图4.4.4-7

<center>

![](/uploads/202304/.topwrite/assets/image_1666940024830.png)
图4.4.4-7

</center>

**2. 各个夹点的行为特征介绍**
* 实体坐标系原点：拖拽夹点或者追踪器面板输入坐标参数可以移动圆柱的位置。
* 四分圆点：拖拽夹点或者追踪器面板输入坐标参数可以改变圆柱的底面圆半径参数。
* 顶点：拖拽夹点或者追踪器面板输入坐标参数可以改变圆柱的高度。

**3. 夹点编辑过程中旋转临时坐标系生效说明**
拖拽夹点时旋转临时坐标系可以生效，坐标参数输入是与临时坐标系相关的。

#### 属性面板显示
* 属性面板中显示圆柱的定位坐标和对应的几何参数。如图4.4.4-8
* 定位坐标表示的是圆柱实体坐标系原点在WCS坐标系下的坐标定位。

<center>

![](/uploads/202304/.topwrite/assets/image_1666940237432.png)
图4.4.4-8