## 4.5造型
### 4.5.1扫掠体
将一个二维轮廓截面沿指定的扫掠路径扫掠，即可生成扫掠体，功能位置如图4.5.1-1。

<center>

![](/uploads/pro_import_version/images/m_70b98a8561ed00bbb161dadef7113aa2_r.png)
图4.5.1-1
</center>




*****

#### 抬头工具栏
在图元建模页签下，单击“扫掠体”功能按钮，激活命令，视图区域弹出扫掠体工具抬头栏，其中绘制方式包括“拾取截面”和“选择截面”，创建路径方式包括“绘制路径”和“拾取路径”，如图4.5.1-2；

<center>

![](/uploads/pro_import_version/images/m_1977b8f3899c7bdaa0d6640ff76275a2_r.png)
图4.5.1-2
</center>

#### 拾取截面
“拾取截面”方式：可以通过在工程场景中拾取有效的闭合截面轮廓作为截面对象；拾取截面对象后，可以通过关键字（B）或（X），分别调整截面的基点位置或截面的X轴方向，如图4.5.1-3和图4.5.1-4；

<center>

![](/uploads/pro_import_version/images/m_0bae0f445e9f6fa5cab24f16bad8d784_r.png)
图4.5.1-3 改变基点位置

</center>

<center>

![](/uploads/pro_import_version/images/m_2561c917b390e7e32e71b778658ac504_r.png)
图4.5.1-4 改变截面X轴方向

</center>

#### 选择截面
 “选择截面”方式：可以通过点击截面名称，在弹出的“截面选择框”中选择截面集中的既有截面数据作为截面对象，在截面选择框中双击截面对象即可引用，如图4.5.1-5；
 
<center>

![](/uploads/pro_import_version/images/m_5b747e2ef08e2f26f6e11c198fec989c_r.png)
图4.5.1-5 切换截面对象

</center>



#### 绘制路径
绘制扫掠路径机制同绘制多段线方式一致；参[4.1.2多段线](http://4.1.2多段线 "4.1.2多段线")，如图4.5.1-6；

<center>

![](/uploads/pro_import_version/images/m_efec02394ed0fae1a49e8e5fad8173ac_r.png)
图4.5.1-6
</center>


#### 拾取路径
通过拾取工程场景中的既有线段或平面生成扫掠体，如图4.5.1-7；

<center>

![](/uploads/pro_import_version/images/m_0b4612d2af3a63064bcbebeb9e858209_r.png)
图4.5.1-7

</center>

**【注意】**：
01.确定截面对象后，可通过“截面属性”调整截面的定位数据，
02.鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。仅在“绘制路径”方式中创建扫掠路径生效，其他均不生效。


#### 编辑交互
1. 选定扫掠体后，属性栏中几何属性包含：编辑截面、替换截面、颜色；截面属性：基点延X轴偏移、基点延Y轴偏移、基点切换、截面旋转、截面镜像等；可通过编辑属性栏中的参数对造型体进行修改，如图4.5.1-8;
- 编辑截面：可进入截面编辑环境修改截面轮廓；
- 替换截面：点击后，会弹出“截面选择框”，可以切换截面对象；
- 颜色：可通过颜色选择框指定需要的颜色；
- 基点延X轴偏移：截面基点相对于实体坐标系原点，延实体坐标系X轴偏移指定距离；
- 基点延Y轴偏移：截面基点相对于实体坐标系原点，延实体坐标系Y轴偏移指定距离；
- 基点切换：默认截面基点为截面编辑环境坐标系原点位置；可以通过下拉框选择合适的截面基点，下拉选项包括：截面基点、截面形心、截面轮廓各个角点；
- 截面旋转：以截面法向量作为旋转轴，以截面基点为旋转中心点，按输入值进行旋转；正值：按逆时针方向进行旋转；负值：按顺时针方向进行旋转；
- 截面镜像：以实体坐标系X轴或Y轴作为对称轴，将截面进行镜像；下拉选项包括：否、延X轴镜像、延Y轴镜像；

<center>

![](/uploads/pro_import_version/images/m_4f075d1a91c30b768ebbfccffd1a9889_r.png)
图4.5.1-8
</center>