### 4.5.3 拉伸体
将一个二维轮廓截面沿指定方向进行拉伸，即可生成旋转体；功能位置如图4.5.3-1。
<center>

![](/uploads/pro_import_version/images/m_4fd6c80048897df25ef5291ef8517b79_r.png)
图4.5.3-1
</center>

#### 抬头工具栏

1. 在图元建模页签下，单击“拉伸体”功能按钮，激活命令，视图区域弹出拉伸体抬头工具栏，绘制方式包括“拾取截面”和“选择截面”，拉伸方式包括“垂直拉伸”和“斜向拉伸”，如图4.5.3-2所示；

<center>

![](/uploads/pro_import_version/images/m_fb1873792fb9c4bf80c0e95ee485e8c4_r.png)
图4.5.3-2
</center>

#### 拾取截面
“拾取截面”方式：可以通过在工程场景中拾取有效的闭合截面轮廓作为截面对象；拾取截面对象后，可以通过关键字（B）或（X），分别调整截面的基点位置或截面的X轴方向，如图4.5.3-3和图4.5.3-4；

<center>

![](/uploads/pro_import_version/images/m_0bae0f445e9f6fa5cab24f16bad8d784_r.png)
图4.5.3-3 改变基点位置

</center>

<center>

![](/uploads/pro_import_version/images/m_2561c917b390e7e32e71b778658ac504_r.png)
图4.5.3-4 改变截面X轴方向

</center>



#### 选择截面
“选择截面”方式：可以通过点击截面名称，在弹出的“截面选择框”中选择截面集中的既有截面数据作为截面对象，在截面选择框中双击截面对象即可引用，如图4.5.3-5；在创建过程中，可通过鼠标交互或追踪器输入分别指定截面定位点和截面旋转角度，如图4.5.3-6和图4.5.3-7；

<center>

![](/uploads/pro_import_version/images/m_4a56eb2a6684b412f90ec34f36c05e21_r.png)
图4.5.3-5 切换截面对象

</center>

<center>

![](/uploads/pro_import_version/images/m_551b636b9f1bfe1b5d347b42f39dd410_r.png)
图4.5.3-6 指定截面定位点

</center>

<center>

![](/uploads/pro_import_version/images/m_eef2cd5ae2a84db9a4deb19d5714c9db_r.png)
图4.5.3-7 指定截面旋转角度

</center>

#### 垂直拉伸
“垂直拉伸”方式，确定截面对象后，延截面的法线方向进行拉伸，可以通过鼠标交互或追踪器输入指定拉伸高度，即可生成拉伸体；如图4.5.3-8；

<center>

![](/uploads/pro_import_version/images/m_b2707395002f73a7c861c1cdc9a0aee7_r.png)
图4.5.3-8
</center>


#### 斜向拉伸
“斜向拉伸”方式，确定截面对象后，拉伸方向不受限制，可以通过鼠标交互（包括捕捉点）或追踪器输入指定第二点位置，即可生成拉伸体；如图4.5.3-9；

<center>

![](/uploads/pro_import_version/images/m_259977883834c98f82c2a18765aa8823_r.png)
图4.5.3-9
</center>


**【注意】**：
01.确定截面对象后，可通过“截面属性”调整截面的定位数据，
02.鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。仅在“选择截面”方式中指定截面旋转角度生效，其他均不生效。

#### 编辑交互
1. 选定拉伸体后，属性栏中几何参数包含参数：拉伸高度、拉伸长度；几何属性包含：编辑截面、替换截面、颜色；截面属性：基点延X轴偏移、基点延Y轴偏移、基点切换、截面旋转、截面镜像等；可通过编辑属性栏中的参数对造型体进行修改，如图4.5.3-10;
- 拉伸高度：拉伸体第二点位置投影至截面法线上的投影点，距离截面的垂直高度；
- 拉伸长度：拉伸体第二点位置与实体坐标系原点之间的直线距离；
- 编辑截面：可进入截面编辑环境修改截面轮廓；
- 替换截面：点击后，会弹出“截面选择框”，可以切换截面对象；
- 颜色：可通过颜色选择框指定需要的颜色；
- 基点延X轴偏移：截面基点相对于实体坐标系原点，延实体坐标系X轴偏移指定距离；
- 基点延Y轴偏移：截面基点相对于实体坐标系原点，延实体坐标系Y轴偏移指定距离；
- 基点切换：默认截面基点为截面编辑环境坐标系原点位置；可以通过下拉框选择合适的截面基点，下拉选项包括：截面基点、截面形心、截面轮廓各个角点；
- 截面旋转：以截面法向量作为旋转轴，以截面基点为旋转中心点，按输入值进行旋转；正值：按逆时针方向进行旋转；负值：按顺时针方向进行旋转；
- 截面镜像：以实体坐标系X轴或Y轴作为对称轴，将截面进行镜像；下拉选项包括：否、延X轴镜像、延Y轴镜像；

<center>

![](/uploads/pro_import_version/images/m_0b44be70b07d9bc9696b9964754885e2_r.png)
图4.5.3-10
</center>

2. 选定拉伸体后，在视口中显示拉伸体的夹点，可以通过鼠标交互拖拽夹点对拉伸体进行修改,如图4.5.3-11;
- 局部系原点处的夹点：拖拽后，改变拉伸体的拉伸高度和拉伸长度；拖拽局部系原点处的夹点时，局部系原点同步更新；
- 第二点处的夹点：同局部系原点处的夹点拖拽行为一致；

<center>

![](/uploads/pro_import_version/images/m_4255fce99ea2e7c30c48c248f6eff5f7_r.png)
图4.5.3-11
</center>