#### 1.2.6.1 捕捉

#### 对象捕捉
点击捕捉按钮旁边的三角按钮，可以打开捕捉设置的快捷列表，也可以点击下方的对象捕捉设置打开捕捉设置对话框如图 1.2.6.1-1，对捕捉工具进行详细设置。

<center>

![](/uploads/202304/.topwrite/assets/image_1662016580541.png)

图 1.2.6.1-1
</center>

对象捕捉：软件提供了13种对象捕捉方式，可以点击对象捕捉按钮旁边的三角按钮，在快捷列表中点击对应的捕捉点开启如图 1.2.6.1-2，还可直接打开对象捕捉设置对话框，通过复选框勾选对应的捕捉方式，如图 1.2.6.1-1。

状态栏的对象捕捉按钮，与对象捕捉设置页面的选项状态是一一联动的。当我们启用了对象捕捉后，鼠标的靶框移动到被捕捉点处时，就能显示勾选的捕捉点类型对应形状的绿色捕捉标记，鼠标光标可自动吸附到捕捉点上，从而选中该点。当软件中的某些功能需要指定特殊点，此时软件会自动开启对象捕捉，退出该功能时，会自动关闭对象捕捉，以帮助用户更方便地使用软件功能。

<center>

![](/uploads/202304/.topwrite/assets/image_1662017281601.png)
图 1.2.6-2
</center>

在捕捉过程中，当需要捕捉特定类型时，按住shift键并点击鼠标右键，会出现捕捉菜单，如图 1.2.6.1-3，从菜单中选择合适的捕捉项，则本次捕捉只捕捉所选类型的点。本次捕捉为临时强制捕捉特定类型对象，捕捉结束后自动结束强制捕捉命令。这个方式可用于捕捉点分布比较集中时，更方便捕捉到需要的点。

<center>

![](/uploads/202304/.topwrite/assets/image_1662017406487.png)
图 1.2.6.1-3
</center>

#### 极轴追踪

开启极轴追踪可在鼠标点取处引出极轴追踪线，将光标移动限制为指定的极轴角度，当光标划过增量角的倍数值角度或附加角度时，显示极轴捕捉参照线，点击极轴追踪右侧的三角按钮，可进入极轴追踪的设置页面，如图 1.2.6.1-4。

<center>

![](/uploads/202304/.topwrite/assets/image_1662017052603.png)

图 1.2.6.1-4
</center>

在极轴追踪的设置页面中，可设置极轴增量角和附加角。设置极轴增量角后，会以当前用户坐标系（UCS）的x轴正方向为基线，每隔一个增量角显示追踪线。设置附加角后，会以当前用户坐标系（UCS）的x轴正方向为基线，在该附加角的方向产生追踪线，这个附加角为绝对角度，该页面中，还可控制是否启用延伸捕捉。当勾选后，可捕捉到直线或圆弧的延伸点，当光标经过对象的端点时，显示临时延长线或圆弧，以便在延长线或圆弧上指定点。

#### 靶区设置

可以设置自动捕捉标记大小，捕捉范围，十字光标大小等参数，实现改变捕捉标记的显示效果和十字光标的显示效果，如图 1.2.6.1-5。

<center> 

![](/uploads/202304/.topwrite/assets/image_1662017106567.png)
图 1.2.6.1-5
</center>


#### 捕捉和栅格


开启栅格捕捉后，鼠标移动的步长变更为设定好的栅格间距，方向为X、Y两个方向。点击栅格捕捉右边的三角按钮，可打开捕捉与栅格的页面，如图 1.2.6.1-6，勾选启用栅格捕捉时，可分别设置X、Y方向的间距，间距必须为正实数，也可通过复选框勾选“X轴间距与Y轴间距相等”。例如，设置了X和Y轴的间距均为1000，则绘制时，鼠标拾取点就会按两个方向为1000的倍数进行移动。
勾选极轴捕捉时，鼠标可按极轴追踪线上的步长倍数移动。极轴捕捉和栅格捕捉为互斥选项。例如，设置极轴间距为1000，则绘制时，鼠标拾取点就会按极轴方向为1000的倍数进行移动。

<center>

![](/uploads/202304/.topwrite/assets/image_1662017085368.png)
图 1.2.6.1-6
</center>

#### 捕捉过滤

可以设置捕捉模式，选择是否启用几何捕捉或专业捕捉，如图 1.2.6.1-7。

<center>

![](/uploads/202304/.topwrite/assets/image_1662017185389.png)
图 1.2.6.1-8
</center>