# BIMBase建模软件简介
### 相关链接：
**软件下载链接**：http://www.pkpm.cn/product/productDetail?type=7&id=179
**构力学堂视频链接**：<https://edu.pkpm.cn/p/t_pc/course_pc_detail/column/p_60628a5ce4b04c0195969372>
### 一、研发背景

中国建筑科学研究院响应国家“数字中国”的顶层战略思想，致力于建筑信息化领域的技术攻关。构力科技作为中国建研院的核心攻关团队，基于多年的自主技术积累，于2021年推出完全自主知识产权的BIMBase建模软件，在2021年入选国务院国资委“国有企业科技创新十大成果”，2021、2022连续两年进入《中央企业科技创新成果推荐目录》。

BIMBase建模软件作为工业基础软件，重点提升“大体量模型装载、建模实时渲染、造型效率和精度”等基础技术，定位于“满足数字化建模与集成交付”，打造“多格式大场景模型的集成与浏览”和“多专业高效建模与交付”的双应用场景。

构力科技始终坚持建模软件的自主研发、开放共享，实现核心代码自主率100%，在信息安全性和代码自主性两个方面通过工信部权威机构的测评和认证，技术创新达到五星S级。

### 二、软件简介

<center>

![](/uploads/pro_import_version/images/m_861da6b1818935994a40fade8091de22_r.png)
</center>

BIMBase建筑软件重点打造“模型管理和集成、建模深化、模型应用、成果交付“等功能的应用流程。

#### 多格式大场景模型的快速集成与浏览

* 软件支持多源文件格式的导入。
*  支持P3d文件链接参照，完成模型树形集成、管理与浏览。
* 支持千万级面片数城区级综合项目，百公里跨度的线性工程。
* 树形场景组织管理，摆脱楼层式数据组织的限制。

<center>

![](/uploads/202304/.topwrite/assets/image_1672380578167.png)
</center>

#### 高效建模与数字化交付

* 底图参照、图元、组件等功能可满足高效的建模场景。
*  内置组件库、材质库丰富模型细节与展示效果。
* 类型属性管理器，依据数据标准，内置属性，对构件快速补充。
* 交付符合行业规范、企业标准的三维模型与模型应用成果。

<center>

![](/uploads/202304/.topwrite/assets/image_1672380665058.png)

![](/uploads/202304/.topwrite/assets/image_1672380675227.png)
</center>

#### **寄语**

BIMBase为国产软件提供优沃的生长土壤，以中国“芯”打造建设行业全生命周期的国产BIM生态体系。支持企业定制化研发需求，为行业数字化转型提供有力保障。构力科技将始终与广大伙伴一起携手共建，合作共赢！