## 新增功能
### 1、导入TXT
新增导入TXT工具。在工程场景中，用户可从外部导入格式为TXT的地形数据，导入后的地形数据将在工程环境中直接转换为对应的高程点。
### 2、地形点赋值
新增地形点赋值工具。在工程场景中，用户通过使用该功能，可将外部导入的地形DWG文件中的二维地形点数据转换为三维高程点。
### 3、转换等高线
新增转换等高线工具。在工程场景中，用户通过使用该功能，可将创建或外部导入的二维等高线转换为三维等高线。
### 4、生成TIN地形
新增生成TIN地形工具。在工程场景中，用户通过使用该功能，可将三维高程点或三维等高线数据转换并生成三维TIN地形。
### 5、场地平整
新增场地平整工具。在工程场景中，用户通过使用该功能，可在生成好的TIN地形上，选取某一平整范围做带护坡或不带护坡的场地平整。
### 6、增强过滤器
新增增强过滤器工具。在工程场景中，用户通过使用该功能，可在模型中根据预设的筛选条件将符合条件的构件选中。
### 7、道路
新增道路工具。在工程场景中，用户通过使用该功能，可在模型中绘制道路。
### 8、大门
新增大门工具。在工程场景中，用户通过使用该功能，可在模型中布置大门。
### 9、围墙
新增围墙工具。在工程场景中，用户通过使用该功能，可在模型中布置围墙。
### 10、旋转体
新增旋转体功能。在工程场景中，用户通过使用该功能，可基于旋转截面、旋转轴、旋转角度在模型中绘制旋转体块。


## 优化功能
### 1、镜像
对镜像工具进行优化，在三维视口状态下进行三维几何建模的时候，可以直接进行精准的三维镜像操作，不必再转到类似二维视图的状态去镜像，操作更便捷。
### 2、旋转
对旋转工具进行优化，在三维视口状态下进行三维几何建模的时候，可以直接进行精准的三维旋转操作，不必再转到类似二维视图的状态去旋转，操作更便捷。
### 3、三维标注
三维标注功能进行优化，增加了对导入和链接的外部模型的标注。在BIMBase建模软件中集成了各种数据来源的模型之后，可以对模型进行一些文字或尺寸标注，辅助实现更好的模型展示效果。
### 4、场景整合
对项目浏览器场景组织进行了优化，可以在父场景中对子场景整体选中进行移动旋转等调整位置的编辑操作，子场景中的构件的显示隐藏效果在父场景中能够关联显示。
### 5、拾取线
对拾取线功能进行了优化，增加了可以拾取线的对象，对导入的模型构件和DWG图纸的边线都支持拾取。
