### 2.2.4 底图参照
将本地的DWG图纸导入到工程环境中，根据需求可在不同的节点对其进行参照，参照的CAD可作为底图辅助建模，支持通过底图参照中的其他工具对CAD图纸进行管理。

*****

#### 操作步骤：
1. 左键单击工具菜单，激活工具。弹出【底图参照】操作界面，如图2.2.4-1所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661997502768.png)
图2.2.4-1

</center>

2. 点击“导入底图”按钮，弹出打开路径对话框，如图2.2.4-2所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661997802066.png)
图2.2.4-2

</center>

3. 选择目标文件，点击“打开”开始导入，导入时，界面提示导入进度，如图2.2.4-3所示。导入成功后则回到【底图参照】操作面板，此时可见目标文件已显示在将dwg底图导入底图管理面板中，如图2.2.4-4所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661997947517.png)
图2.2.4-3

![](/uploads/202304/.topwrite/assets/image_1661997982741.png)
图2.2.4-4

</center>

4. 在界面中，选中底图文件，点击参照底图，可将目标底图文件导入当前节点，如图2.2.4-5所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661998131176.png)
图2.2.4-5

</center>

5.点击确定可退出命令。更多操作详见说明。

------------

#### 说明
**1.导入底图**：将需要的DWG底图导入到工作区，在信息框中可以同时显示多个底图文件。
**2.刷新底图**：选中底图文件，单击按钮，如果底图原文件有更新，通过刷新底图可以更新源文件的变更。
**3.删除底图**：选中底图文件，单击按钮，取消对底图的参照并从工程环境中删除底图数据。
**4.参照底图**：选中底图文件，单击按钮，将选中的底图显示到当前节点。
**5.取消参照**：选中底图文件，单击按钮，即可将该底图从当前节点清除。
**6.底图设置**：选中底图文件，单击按钮，弹出设置面板，对颜色和透明度进行调整，界面如图2.2.4-6所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661998466673.png)
图2.2.4-6

</center>

* 底图颜色设置：勾选“使用原始颜色”，项目中显示的底图保留底图原始文件的颜色设置。勾选取消后，点击“原色设置”后面的下拉按钮，可以对底图显示的颜色整体设置，如图2.2.4-7所示。底图颜色设置完成效果如图2.2.4-8所示：

<center>

![](/uploads/202304/images/screenshot_1660100811144.png)
![](/uploads/202304/images/screenshot_1660100829969.png)
图2.2.4-7

![](/uploads/202304/.topwrite/assets/image_1661998802441.png)
图2.2.4-8

</center>

* 底图透明度设置：勾选“禁用底图透明”，则默认为完全不透明。取消勾选后，可通过滑轨调整透明度，透明度调整后效果如图2.2.4-9所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661998829543.png)
图2.2.4-9

</center>

**7.前置显示**：选中底图文件，单击按钮，将参照底图位置切换至项目构件前方显示。
**8.后置显示**：选中底图文件，单击按钮，将参照底图位置切换至项目构件后方显示。
**9.调整位置**：选中底图文件，单击按钮，对参照底图进行移动。根据命令行提示，用户需要拾取移动的起点、到点，完成底图移动。
**10.图层管理**：选中底图文件，单击按钮，弹出图层管理界面，如图2.2.4-10所示，选择图层识别方式，根据提示完成操作。

<center>

![](/uploads/202304/.topwrite/assets/image_1661998923945.png)
图2.2.4-10
</center>

* 选择图层：点击按钮后，弹出选择图层面板，如图2.2.4-11所示。鼠标在模型界面中选择底图中图素，可连续点击进行多选，在面板中可选择隐藏图层、隐藏那个未选图层、取消隐藏。需要注意的是，取消隐藏是底图中所有已隐藏的图层恢复。

<center>

![](/uploads/202304/.topwrite/assets/image_1661999029695.png)
图2.2.4-11
</center>

* 图层开关：点击按钮后，弹出图层管理面板，如图2.2.4-12所示。勾选即显示，不勾选则取消显示。点击确定后完成图层设置。
全选：选中全部图层进行显示；
反选：当前选中的取消选择取消显示，当前未选中的被选中显示；
清空：取消所有图层的选择，所有图层不予显示；
仅当前选中项：只给当前选中的图层勾选显示；

<center>

![](/uploads/202304/.topwrite/assets/image_1661999247102.png)
图2.2.4-12