### 5.1.2 工作平面管理器
通过工作平面管理器命令，可以查看和管理已经创建的工作平面。
*****

#### 操作步骤
1. 左键单击工具菜单，激活工具。弹出【工作平面管理器】操作界面，如图5.1.2-1所示。

<center>

![](/uploads/pro_import_version/images/m_1a6071c1c083134bdc43d1178969ed7d_r.png)

图5.1.2-1
</center>

2. 对工作平面进行管理，管理功能包括：
* 启用工作平面：（绘图区域右下角也提供快捷按钮来控制工作平面打开和关闭的状态）
1）无工作平面情况下，无法勾选启用工作平面，即保持WCS坐标系环境。
2）通过工作平面创建工具创建新的工作平面后，自动激活启用工作平面，以新建工作平面作为当前工作平面。
3）无工作平面情况下，点击工作平面管理器中的新建按钮，新建工作平面后，自动激活启用工作平面，以新建工作平面作为当前工作平面。
* 正视图：
1）未启用工作平面时，点击正视图按钮，视口转换成视图盒子上视口。
2）启用工作平面时，点击正视图按钮，视口转换成工作平面的XOY面，如图5.1.2-2所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1673252559752.png)
图5.1.2-2
</center>

* 切换工作平面：双击工作平面名称进行切换；
* 旋转平面：
1）在旋转平面后的输入框输入指定数值，如图5.1.2-3所示。

<center>

![](/uploads/pro_import_version/images/m_9ff9bf3609772129f2372143e9b437f6_r.png)
图5.1.2-3
</center>

2）选定指定工作平面。
3）点击【旋转平面】按钮，即对指定工作平面进行逆时针旋转。
4）再次点击【旋转平面】按钮，即再次对旋转后的平面进行指定角度旋转，可连续操作，如图5.1.2-4所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1673252885924.png)
图5.1.2-4
</center>

* 移动工作平面：
1）选定工作平面，点击【移动平面】按钮，激活移动工作平面的抬头工具栏；
2)确定移动基点、移动目标点，完成工作面移动。如图5.1.2-5所示。

<center>

![](/uploads/pro_import_version/images/m_269a5afb3970b386a558e448401f1386_r.png)
图5.1.2-5
</center>

**【抬头工具栏设置】**
1. 勾选【约束在临时坐标系平面】：指定移动目标点时如果鼠标捕捉或者追踪器坐标输入确定的点不在当前移动基点所在的临时坐标系XOY面内，实际移动目标点的结果会被投影约束在当前移动基点所在的临时坐标系XOY面内。
1. 不勾选【约束在临时坐标系平面】：实际移动目标点结果会直接放置在鼠标捕捉或者追踪器坐标输入确定的任意位置上，不会进行投影约束。

* 新建工作平面：点击【新建】按钮，弹出新建工作平面对话框，如图5.1.2-6所示，根据需要输入平面名称和平面参数，点击确定即可生成工作平面。

<center>

![](/uploads/202304/.topwrite/assets/image_1666855880074.png)
图5.1.2-6
</center>

* 编辑工作平面：点击【编辑】按钮，弹出编辑工作平面对话框，如图5.1.2-7所示，根据需要输入平面名称和平面参数，点击确定即可修改成功；

<center>

![](/uploads/202304/.topwrite/assets/image_1666855961002.png)
图5.1.2-7
</center>

* 删除工作平面：点击【删除】按钮，弹出提示对话框【是否确定删除？】，如图5.1.2-8所示。若选定工作平面，点击确定即删除选定工作平面；若未选定工作平面，点击确定，即删除当前工作平面，若删除当前工作平面，则删除后自动激活默认工作平面（即WCS坐标系状态）。默认工作平面不允许删除。

<center>

![](/uploads/202304/.topwrite/assets/image_1666856158241.png)
图5.1.2-8