### 6.1.3 碰撞检测
碰撞检测在当前节点显示的构件中检测指定范围内构件空间位置关系是否符合要求的工具。

该功能可以在任意节点被激活，激活命令时如果绘图区存在临时隐藏的构件，将会在绘图区显示一圈红色进行提示，临时隐藏的构件不参与碰撞检测。效果如图6.1.3-1所示；

<center>


![](/uploads/202304/images/8.1.1.png)

图6.1.3-1
</center>

*****

#### 操作步骤
1. 在项目树选择要进行碰撞检测的节点，点击【碰撞检测】按钮。此时侧边栏弹出碰撞检测界面，绘图区出现检测进行范围的选择框，效果如图6.1.3-2；
2. 拖动手柄调节碰撞检查范围。在选择框内的构件参与检查，选择框外的构件不参与检测，不参与检查的构件以透明灰色进行区分；
3. 确定检查范围后，设置检测精度。然后点击【开始检测】按钮开始检测，检测完成后所有空间位置关系不符合规则的构件都会显示在【检查结果】列表中。

<center>

![](/uploads/202304/.topwrite/assets/image_1661997624487.png)

图6.1.3-2
</center>

*****

#### 界面及功能说明
1. 激活碰撞检测的界面如图6.1.3-3所示。

<center>

![](/uploads/202304/.topwrite/assets/image_1661997714302.png)

图6.1.3-3
</center>

2. 界面各个功能详解：
* 碰撞检测页签：界面如图6.1.3-4，点击![](/uploads/202304/4558c49be61390faef95066b56db6957.png)可以在一个同一个项目树节点下创建多个检测页，不同的检查页之间互相独立。点击![](/uploads/202304/c32a2ee072123013fbddbfe8a2346fa8.png)可以删除某一个检查页。

<center>

![](/uploads/202304/fc361bffae3aefd3dced948e469ce955.png)

图6.1.3-4
</center>

- 状态：界面如图6.1.3-5，可以对【检测结果】列表里的条目按状态进行筛选。

<center>

![](/uploads/202304/cb308277c48842cca1ed3b7b5fedb62c.png)

图6.1.3-5
</center>

- 检测结果：执行完碰撞检测后，检测结果会显示在【检测结果】列表中，在【检测结果】标题旁会显示检测出来的碰撞总数，效果如图6.1.3-6。

<center>

![](/uploads/202304/dc182ac5b3ed5a84834b49540903f12d.png)

图6.1.3-6
</center>

在【检测结果】列表中，左键单击可以选中一条结果，选中后绘图区会联动跳转到对应的碰撞位置并且除该结果条目对应的构件为正常显示外，其他构件都是灰色透明显示；在结果列表中还可以对检查结果进行状态标记或添加备注。如图6.1.3-7

<center>

![](/uploads/202304/d9796390b1ffd5f266fcb23d19fe54ed.png)

（a）普通显示效果

![](/uploads/202304/802f0b69a23c0e3dd0da027f04e9a53e.png)

（b）碰撞追踪时显示效果

 图6.1.3-7
 </center>

#### 检测规则
**检测规则**：可以选择进行检测的类型，硬碰撞可以检测构件之间是否有重合，软碰撞可以检测构件之间的距离是否大于输入的精度。可以同时进行软硬碰撞的检测或者只进行硬碰撞检测或者软碰撞检测。

点击按钮，开始按照设置的规则在规定范围内进行检测空间关系，检测结果会显示在检查结果列表中。