### 4.1.10 直线
使用直线工具可以绘制直线段。
*****

#### 绘制
**1. 绘制流程**
可以通过鼠标交互或追踪器输入依次指定起点和终点位置，完成直线的绘制：如图4.1.10-1

<center>

![](/uploads/pro_import_version/images/m_fb868d65cc610dad36cefd3cde4d83d1_r.png)
图4.1.10-1
</center>


**2. 绘制点的方法说明**
在每一点绘制的时候，交互方式有两种：
* 通过鼠标交互指定直线段起点和终点位置：
鼠标点击交互时，显示追踪器面板和几何参数或坐标参数标注预览		。如图4.1.10-2

<center>

![](/uploads/pro_import_version/images/m_1ba3c9fe54cb0a56bf43fd109a1b3dc5_r.png)
图4.1.10-2
</center>

* 还可以通过点击tab键，进入追踪器面板输入：如图4.1.10-3

<center>

![](/uploads/pro_import_version/images/m_d60a61ccbb8975ad219083fdf47d34cc_r.png)
图4.1.10-3
</center>

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参考[4.0.2交互机制](https://doc.pkpm.cn/docs/pro_import_version/4.0.2交互机制.md)

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图4.1.10-4和图4.1.10-5

<center>

![](/uploads/pro_import_version/images/m_edd1239b85ecf66e14ad36b7e8e3aa8c_r.png)
图4.1.10-4相对坐标输入

![](/uploads/pro_import_version/images/m_64589e16871961aba2af6e4d4f45339f_r.png)
图4.1.10-5绝对坐标输入
</center>

交互过程中可以按A锁定当前角度：如图4.1.10-6

<center>

![](/uploads/pro_import_version/images/m_68543f5099e141d9eb7325eb817ef34e_r.png)
图4.1.10-6
</center>

**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面,旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。

#### 属性面板显示
* 属性面板中显示直线的几何参数（长度）如图4.1.10-7；可以通过编辑“长度”参数，调整直线段终点位置，且直线段向量方向始终不变；

<center>

![](/uploads/pro_import_version/images/m_e8bffebfcfc494a5b17dac5b62020151_r.png)
图4.1.10-7
</center>