### 4.3.6 线生成面

线生成面是指将线段围成的闭合区域变为面。若在线段围城的闭合区域内还存在线段围成的闭合区域，可形成带洞口的面。
*****
#### 名词解释
1. 单轮廓模式：不判断轮廓之间的关系，每一个闭合线轮廓互不干扰，各自独立的生成面；
1. 嵌套轮廓模式：判断轮廓之间的关系。当轮廓之间存在包含关系时，会自动裁剪成带洞口的面；
*****
#### 操作步骤
**方法一：先激活工具，再选择图元**
* 单轮廓模式
1. 点击工具菜单，激活命令。
1. 默认选择单轮廓模式，可在抬头工具栏中切换为嵌套轮廓模式；
1. 单轮廓模式下，单击选中线图元，被选中的蓝色亮显，可连续多次单击选择多个图元，如图4.3.6-1，中间图所示；
1. 右键执行线生成面操作并退出工具。选中的轮廓均生成了独立的面，如图4.3.6-1，右侧图所示；

<center>

![](/uploads/202304/.topwrite/assets/image_1673592513228.png)
 图4.3.6-1
 </center>

*****
* 嵌套轮廓模式
1. 切换至嵌套轮廓模式
1. 选择外轮廓，此处限制一次仅支持定义一个线图元为外轮廓，右键确认；
1. 选择内轮廓，可连续单击选择多个线图元作为内轮廓，右键确认；效果如图4.3.6-2所示。
1. 再次右键可退出工具

<center>

![](/uploads/202304/.topwrite/assets/image_1673592857544.png)
图4.3.6-2
</center>

*****
**方法二：先激活工具，再选择图元**
1. 选择线图元；
1. 点击激活线生成面工具；效果如图2.4.6-2所示；
1. 右键退出命令；

*****
#### 说明
1. 单轮廓模式下，选中的线图元之间相交亦可生成独立的面；
1. 嵌套模式下，外轮廓仅能选中一个，选中多个会提示重新选择；
1. 嵌套模式下，内轮廓与外轮廓之间不可相交、不可相切；
1. 嵌套模式下，内轮廓若与外轮廓之间并不存在包含关系，则各自生成面；
1. 嵌套模式下，内轮廓可存在多个，单内轮廓之间必须相互独立，不可相交，更不可存在包含关系。
1. 先选择图元再激活工具时，是按照嵌套轮廓模式执行的操作，因此选中的图元若存在相切或相交的情况，则无法生成。