### 4.5.2 旋转体
将一个二维轮廓截面沿指定的旋转轴进行旋转，即可生成旋转体；功能位置如图4.5.2-1。

<center>

![](/uploads/pro_import_version/images/m_166c4606343b619b173f2690c91cbcc5_r.png)
图4.5.2-1
</center>

*****
#### 抬头工具栏

 在图元建模页签下，单击“旋转体”功能按钮，激活命令，视图区域弹出旋转体工具抬头栏，其中绘制方式包括“拾取截面”和“选择截面”，创建旋转轴方式包括“绘制旋转轴”和“拾取旋转轴”，如图4.5.2-2所示；

<center>

![](/uploads/pro_import_version/images/m_bba51c0baa959a9bcaa9e50ca9d3aea1_r.png)
图4.5.2-2
</center>

#### 拾取截面
“拾取截面”方式：可以通过在工程场景中拾取有效的闭合截面轮廓作为截面对象；拾取截面对象后，可以通过关键字（B）或（X），分别调整截面的基点位置或截面的X轴方向，如图4.5.2-3和图4.5.2-4；

<center>

![](/uploads/pro_import_version/images/m_0bae0f445e9f6fa5cab24f16bad8d784_r.png)
图4.5.2-3 改变基点位置

</center>

<center>

![](/uploads/pro_import_version/images/m_2561c917b390e7e32e71b778658ac504_r.png)
图4.5.2-4 改变截面X轴方向

</center>

#### 选择截面
 “选择截面”方式：可以通过点击截面名称，在弹出的“截面选择框”中选择截面集中的既有截面数据作为截面对象，在截面选择框中双击截面对象即可引用，如图4.5.2-5；在创建过程中，可通过鼠标交互或追踪器输入分别指定截面定位点和截面旋转角度，如图4.5.2-6和图4.5.2-7；

<center>

![](/uploads/pro_import_version/images/m_5b13b524b9ad70338f05eae7a381fa27_r.png)
图4.5.2-5 切换截面对象

</center>

<center>

![](/uploads/pro_import_version/images/m_551b636b9f1bfe1b5d347b42f39dd410_r.png)
图4.5.2-6 指定截面定位点

</center>

<center>

![](/uploads/pro_import_version/images/m_eef2cd5ae2a84db9a4deb19d5714c9db_r.png)
图4.5.2-7 指定截面旋转角度

</center>


#### 绘制旋转轴
“绘制旋转轴”方式：确定截面对象后，可以通过鼠标交互或追踪器输入指定旋转轴起点和终点位置，来创建旋转轴，再指定旋转角度，即可生成旋转体，如图4.5.2-8；

<center>

![](/uploads/pro_import_version/images/m_43456be30f96406e1fe1169c71e7d5ba_r.png)
图4.5.2-8
</center>


#### 拾取旋转轴
“拾取旋转轴”方式：确定截面对象后，可以通过拾取工程场景中既有图元对象的边线作为旋转轴，若拾取对象与截面对象不共面时，取其投影线作为旋转轴，再指定旋转角度，即可生成旋转体，如图4.5.2-9；

<center>

![](/uploads/pro_import_version/images/m_79f567b0ae4d073e168ca799366939f2_r.png)
图4.5.2-9

</center>

**【注意】**：
01.确定截面对象后，可通过“截面属性”调整截面的定位数据，如图4.5.2-10；


<center>

![](/uploads/pro_import_version/images/m_1e610757f8d4c339c84c8ba8f65d04b5_r.png)
图4.5.2-10
</center>

02.鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面，旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](https://doc.pkpm.cn/docs/pro_import_version/4.0.1临时坐标系（详解）.md)。仅在“选择截面”方式中指定截面旋转角度时生效，其他均不生效。

#### 编辑交互
1. 选定旋转体后，属性栏中几何参数包含参数：扫掠角度；几何属性包含：编辑截面、替换截面、颜色；截面属性：基点延X轴偏移、基点延Y轴偏移、基点切换、截面旋转、截面镜像等；可通过编辑属性栏中的参数对造型体进行修改，如图4.5.2-11;
- 扫掠角度：改变旋转体的扫掠角度值；
- 编辑截面：可进入截面编辑环境修改截面轮廓；
- 替换截面：点击后，会弹出“截面选择框”，可以切换截面对象；
- 颜色：可通过颜色选择框指定需要的颜色；
- 基点延X轴偏移：截面基点相对于实体坐标系原点，延实体坐标系X轴偏移指定距离；
- 基点延Y轴偏移：截面基点相对于实体坐标系原点，延实体坐标系Y轴偏移指定距离；
- 基点切换：默认截面基点为截面编辑环境坐标系原点位置；可以通过下拉框选择合适的截面基点，下拉选项包括：截面基点、截面形心、截面轮廓各个角点；
- 截面旋转：以截面法向量作为旋转轴，以截面基点为旋转中心点，按输入值进行旋转；正值：按逆时针方向进行旋转；负值：按顺时针方向进行旋转；
- 截面镜像：以实体坐标系X轴或Y轴作为对称轴，将截面进行镜像；下拉选项包括：否、延X轴镜像、延Y轴镜像；

<center>

![](/uploads/pro_import_version/images/m_ac0a01f3a9dcbe9bbd3d1513d377266d_r.png)
图4.5.2-11
</center>

2. 选定旋转体后，在视口中显示旋转体的夹点，可以通过鼠标交互拖拽夹点对旋转体进行修改,如图4.5.2-12;
- 局部系原点处的夹点：拖拽后，整体移动旋转体位置；
- 旋转轴上的夹点：拖拽后，可改变旋转体扫掠轨迹的半径大小；
- 旋转角度处的夹点：拖拽后，可以改成旋转体的扫掠角度；

<center>

![](/uploads/pro_import_version/images/m_95154d3c46dc7224730f477a660ff9f9_r.png)
图4.5.2-12
</center>