### 4.5.5 截面集
该功能可统筹管理项目工程中所有工程截面，可对截面进行预览、搜索、拾取、重命名、新建、复制、编辑、删除和布置等操作，功能位置如图4.5.5-1；
<center>

![](/uploads/pro_import_version/images/m_dc18d095de5d540bc7d16396f9ff4345_r.png)
图4.5.5-1
</center>

*****


#### 界面功能说明
01.在ribbon菜单中单击【截面集】，即可打开截面集界面，如图4.5.5-2。

<center>

![](/uploads/pro_import_version/images/m_e4af264bcf0ed6d3ba1f0c7102c2304e_r.png)
图4.5.5-2
</center>

02.截面预览：可以显示当前选定截面轮廓和截面基点，同时显示截面名称，如图4.5.5-3；

<center>

![](/uploads/pro_import_version/images/m_197afa2ca4b175c7db804a598d69ed92_r.png)
图4.5.5-3
</center>

03.截面搜索框：通过搜索框输入关键文字快速搜索工程截面列表中包含关键文字的所有截面；搜索预览结果如下图，显示10个搜索结果，可通过滚轮查看其他结果，如图4.5.5-4。

<center>

![](/uploads/pro_import_version/images/m_1a39f919a58c12672e76570a7fdb8d9f_r.png)
图4.5.5-4
</center>

04.截面目录树：以目录树形式展示截面数据，可以右键激活对应节点菜单，如图4.5.5-5；

<center>

![](/uploads/pro_import_version/images/m_43be5d7c18e50a179cb6cd6ea5a9eac6_r.png)
图4.5.5-5
</center>

- 一级目录右键菜单：
新建分类：新建一个子分类；
新建截面：新建一个截面对象；
拾取截面：在绘图区中拾取截面轮廓并快速生成新截面；

- 二级目录右键菜单：
新建分类：新建一个子分类；
新建截面：新建一个截面对象；
拾取截面：在绘图区中拾取截面轮廓并快速生成新截面；
重命名：对当前分类进行重命名；
删除：删除当前选定分类；

- 三级目录右键菜单：
编辑：对选定截面进行编辑；
复制：对选定截面进行复制；
重命名：对选定截面进行重命名；
删除：对选定截面进行删除；
移动到：将选定截面移动到其他分类内；
布置截面：在绘图区中快速布置激活截面对象，并生成面域；

05.截面编辑工具：包括新建、复制、编辑、删除、布置、拾取等，如图4.5.5-6；
新建：新建一个截面对象；
复制：对选定截面进行复制；
编辑：对选定截面进行编辑；
删除：对选定截面进行删除；
布置：在绘图区中快速布置选定的截面对象，并生成面域或轮廓线；
拾取：在绘图区中拾取截面轮廓并快速生成新截面；

<center>

![](/uploads/pro_import_version/images/m_9e168249c31579f916d0993f6c3e6530_r.png)
图4.5.5-6
</center>


#### 新建操作步骤
点击新建按钮时：弹窗新建截面对话框，可输入截面名称，点击确定即进入截面环境；不输入截面名称时，默认名称为截面+N（保持原有功能不变），如图4.5.5-7。

<center>

![](/uploads/pro_import_version/images/m_ee5d2acfc643987d712fae3993e05b0d_r.png)
图4.5.5-7
</center>

**【注意】**：
01.当选定节点或截面对象后，单击新建截面功能，创建完截面对象后，该截面保存至选定节点或截面对象所在的路径下；
02.当未选定任何节点或对象时，新建截面后，该截面对象默认保存至“工程截面”节点下；

#### 复制操作步骤
选定截面对象，点击复制工具，弹出重命名对话框，默认截面名称后加“（N）”，从“1”开始计数，自动识别工程既有名称往后顺移一位；也可以自定义截面名称。如图4.5.5-8；

<center>

![](/uploads/pro_import_version/images/m_35cb1d72cca47a7bbd5b1bf38cea8a56_r.png)
图4.5.5-8

</center>

#### 删除操作步骤
01.未应用截面，可直接删除，无弹窗提示；
02.已应用截面，弹出对话框提示【该截面已布置，删除后既有构件的截面转换为临时截面，是否删除】，点击是，即删除该截面，布置该截面的既有构件，属性栏中对应的截面名称转换为“临时截面”，点击否，则保持不变，如图4.5.5-9；

<center>

![](/uploads/pro_import_version/images/m_19203f50b987ea484c411bb7829e2be7_r.png)
图4.5.5-9
</center>

#### 布置操作步骤
01.点击布置功能后，弹窗抬头工具栏，可通过抬头工具栏选择布置方式，包括“轮廓线”和“平面”；默认选择“轮廓线”方式，且命令行提示【请指定截面定位点】；
02.在绘图区中可通过鼠标交互或追踪器输入指定截面定位点，确定定位点后，命令行提示【请指定截面旋转角度，可以按R或Shift+R切换绘制面】，如图4.5.5-10。

<center>

![](/uploads/pro_import_version/images/m_197fd3770624800352f1e3013ca6e9fb_r.png)
图4.5.5-10

</center>

03.指定截面旋转角度后，即可生成平面或轮廓线，如图4.5.5-11。

<center>

![](/uploads/pro_import_version/images/m_ca444f73972562b1f17521a541092053_r.png)
图4.5.5-11

</center>

**【注意】**：
01.若选择“轮廓线”方式，布置后生成的轮廓线为离散的闭合线段；
02.若选择“平面”方式，布置后生成的平面包含局部系和对应的夹点，并支持拖拽夹点进行编辑；同时，布置后的平面与截面集原有截面数据无任何关联；


#### 拾取操作步骤
01.点击拾取工具，截面集对话框依旧显示，且命令行提示【请拾取截面对象，右键确定】。
02.通过点选或框选截面对象，且选定对象高亮显示。
03.右键确定，对拾取对象进行合规性判断；若不合规时，命令行提示相关错误信息；若合规时，生成临时坐标系，且命令行提示【右键确认生成常规截面或[基点（B）,X轴方向（X）]】；可以通过关键字（B）或（X），分别调整截面的基点位置或截面的X轴方向，如图4.5.5-12和图4.5.5-13；也可以直接右键确定，生成新的截面数据；

<center>

![](/uploads/pro_import_version/images/m_0bae0f445e9f6fa5cab24f16bad8d784_r.png)
图4.5.5-12 改变基点位置

</center>

<center>

![](/uploads/pro_import_version/images/m_2561c917b390e7e32e71b778658ac504_r.png)
图4.5.5-13 改变截面X轴方向

</center>


#### 截面环境
01.截面环境：基于二维绘制环境，可以创建或编辑既有截面轮廓线，ribbon菜单如图4.5.5-14所示，截面编辑环境中菜单工具与外部环境中功能一致，不再赘述。

<center>

![](/uploads/pro_import_version/images/m_6927db48dd49da387becc11ca95ba607_r.png)
图4.5.5-14
</center>

02.截面环境可以支持单一截面轮廓和嵌套截面轮廓。
- 单一截面轮廓：形成唯一的闭合区域。线段之间首尾相接，线段之间不发生交叉；截面有效性设置如图4.5.5-15；

<center>

![](/uploads/pro_import_version/images/m_9103c04d66b4bbc6324e942a5546d0f2_r.png)
图4.5.5-15

</center>

- 嵌套截面轮廓：单一截面轮廓内嵌套多个闭合轮廓，且内部嵌套轮廓彼此之间不存在嵌套、相交、相切的情况；截面有效性设置如图4.5.5-16；

<center>

![](/uploads/pro_import_version/images/m_a211a91795abd5662f146c3152f51217_r.png)
图4.5.5-16

</center>